View Issue Details

IDProjectCategoryView StatusLast Update
0001095bareos-core[All Projects] webuipublic2019-08-01 12:22
ReporterjoergsAssigned Toastoorangi 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version18.2.6 
Target VersionFixed in Version19.2.1 
Summary0001095: webui: when login as a user without the permission to the ".api" command, the webui show a wrong and ugly error message
DescriptionWhen login to the webui as a user without the permission to the ".api" command (e.g. without a profile setting), the webui show:

(1)
Error: API 2 not available on director. Please upgrade to version 15.2.2 or greater and/or compile with jansson support.

Even when using the current webui and Bareos director.

When reloading the page, as better error will be display.
It shows the dashboard, with following hint:

(2)
Sorry, it seems you are not authorized to run this module. If you think this is an error, please contact your local administrator.

It would be good, if only the second message would be displayed.
Steps To ReproduceCreate a user without profile using the bconsole:
* configure add console=test1 password=secret tlsenable=false

Login to the WebUI as user test1
TagsNo tags attached.
bareos-master: impactyes
bareos-master: actionfixed
bareos-18.2: impactyes
bareos-18.2: action
bareos-17.2: impact
bareos-17.2: action
bareos-16.2: impact
bareos-16.2: action
bareos-15.2: impact
bareos-15.2: action
bareos-14.2: impact
bareos-14.2: action
bareos-13.2: impact
bareos-13.2: action
bareos-12.4: impact
bareos-12.4: action

Activities

readonly

readonly

2019-07-09 13:22

viewer   ~0003426

Fix committed to bareos master branch with changesetid 11571.
astoorangi

astoorangi

2019-08-01 12:22

developer   ~0003550

Fix committed to bareos bareos-18.2 branch with changesetid 11625.

Related Changesets

bareos: master 91a33e04

2019-07-09 11:49:42

astoorangi

Ported: N/A

Details Diff
webui: Better error message if user has no permission to the ".api" command

Fixes 0001095: webui: when login as a user without the permission to the ".api" command, the webui show a wrong and ugly error message

restructured loginAction in AuthController

createForm() also ends the session now, Univention will be handled like Debian
Affected Issues
0001095
mod - webui/module/Auth/src/Auth/Controller/AuthController.php Diff File

bareos: bareos-18.2 9ea774e6

2019-07-09 11:49:42

astoorangi


Committer: frank

Ported: N/A

Details Diff
webui: Better error message if user has no permission to the ".api" command

Fixes 0001095: webui: when login as a user without the permission to the ".api" command, the webui show a wrong and ugly error message

restructured loginAction in AuthController

createForm() also ends the session now, Univention will be handled like Debian
Affected Issues
0001095
mod - webui/module/Auth/src/Auth/Controller/AuthController.php Diff File

Issue History

Date Modified Username Field Change
2019-07-02 21:37 joergs New Issue
2019-07-02 21:43 joergs Status new => confirmed
2019-07-02 21:43 joergs bareos-master: impact => yes
2019-07-02 21:43 joergs bareos-18.2: impact => yes
2019-07-03 09:59 joergs Assigned To => astoorangi
2019-07-03 09:59 joergs Status confirmed => assigned
2019-07-09 13:22 Changeset attached => bareos master 91a33e04
2019-07-09 13:22 readonly Note Added: 0003426
2019-07-09 14:23 astoorangi Assigned To astoorangi =>
2019-07-09 14:23 astoorangi Status assigned => resolved
2019-07-09 14:23 astoorangi Resolution open => fixed
2019-07-09 14:23 astoorangi Fixed in Version => 19.2.1
2019-07-09 14:23 astoorangi bareos-master: action => fixed
2019-07-09 14:24 astoorangi Assigned To => astoorangi
2019-07-09 14:24 astoorangi Status resolved => new
2019-07-09 14:24 astoorangi Resolution fixed => reopened
2019-07-09 14:25 astoorangi Status new => resolved
2019-07-09 14:25 astoorangi Resolution reopened => fixed
2019-08-01 12:22 frank Changeset attached => bareos bareos-18.2 9ea774e6
2019-08-01 12:22 astoorangi Note Added: 0003550